
Name:	ART
Version:	1.10.1
Release:	%mkrel 2
Summary:	Raw image Converter forked from RawTherapee with ease of use in mind (including blackfoxx-theme)
Group:		Graphics
License:	GPLv3 and MIT and IJG
URL:		https://bitbucket.org/agriggio/art/wiki/Home
Source0:		https://bitbucket.org/agriggio/art/downloads/%{name}-%{version}.tar.xz
Source1:		https://discuss.pixls.us/uploads/short-url/fG7iCaIWBWBem30O67V15EfO521.zip/blackfoxx-GTK3-20_.css
Patch2:		rawtherapee-5.2-CVE-2017-14348.patch
Patch3:		rawtherapee-5.2-CVE-2017-14265.patch
Patch4:		rawtherapee-5.2-CVE-2017-13735.patch
#Patch5:		rawtherapee-5.8-32bit-fix.patch

BuildRequires:	cmake >= 2.8.8
BuildRequires:	pkgconfig(expat) >= 2.0
BuildRequires:	pkgconfig(fftw3)
BuildRequires:	pkgconfig(fftw3f)
BuildRequires:	pkgconfig(gio-2.0) >= 2.16
BuildRequires:	pkgconfig(giomm-2.4) >= 2.12
BuildRequires:	pkgconfig(glib-2.0) >= 2.16
BuildRequires:	pkgconfig(glibmm-2.4) >= 2.16
BuildRequires:	pkgconfig(gobject-2.0) >= 2.16
BuildRequires:	pkgconfig(gthread-2.0) >= 2.16
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.16
BuildRequires:	pkgconfig(gtkmm-3.0) >= 3.16
BuildRequires:  pkgconfig(libcanberra-gtk3)
BuildRequires:	pkgconfig(lcms2)
BuildRequires:	pkgconfig(libiptcdata)
BuildRequires:	pkgconfig(sigc++-2.0)
BuildRequires:	bzip2-devel
BuildRequires:	mercurial
BuildRequires:	pkgconfig(exiv2)
BuildRequires:	pkgconfig(libjpeg) 
BuildRequires:	pkgconfig(libtiff-4) >= 4.0.4
BuildRequires:	pkgconfig(libpng)
BuildRequires:	libgomp-devel
BuildRequires:	pkgconfig(lensfun)
BuildRequires:	libatomic-devel
BuildRequires:	pkgconfig(librsvg-2.0) >= 2.40
BuildRequires:	desktop-file-utils

Requires:	hicolor-icon-theme
Requires:	lensfun

%description
ART is a fok of Rawtherapee whic is a RAW image processing software. It gives full control over
many parameters to enhance the raw picture before finally exporting it
to some common image format.

%prep
%setup -q -n %{name}-%{version}
%apply_patches

%build

cp -a %{S:1} rtdata/themes/

# from tex
CFLAGS+=' -fcommon'

export CXXFLAGS="%{optflags} -std=c++11 -O3"
%cmake -DBUILD_SHARED_LIBS=OFF
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std -C build

%files
%doc AUTHORS.txt LICENSE.txt RELEASE_NOTES.txt
%{_bindir}/%{name}
%{_bindir}/%{name}-cli
%{_datadir}/%{name}/
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.*g
%{_mandir}/man1/%{name}.1*

%changelog
* Sun Nov 07 2021 onkelho <oh.quait at gmail.com> - 1.10.1-2pclos2021
- rebuild with patches

* Sun Nov 07 2021 onkelho <oh.quait at gmail.com> - 1.10.1-1pclos2021
- pclos test build
